#
# spec file for package libccrtp
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           libccrtp
BuildRequires:  cmake commoncpp2-devel gcc-c++ openssl-devel pkgconfig
Url:            http://www.gnu.org/software/ccrtp/
License:        GPLv3+
Group:          System/Libraries
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
AutoReqProv:    on
Summary:        A Common C++ Class Framework for RTP Packets
Version:        1.8.0
Release:        1.1
Source0:        ccrtp-%{version}.tar.bz2
Source1:        rpmlintrc

%description
The ccrtp package offers a generic framework for sending and receiving
real-time streaming data over UDP packets using sending and receiving
packet queues.



Authors:
--------
    David Sugar <dyfet@ostel.com>
    Frederico Montesino Pouzols <p5087@quintero.fie.us.es>

%package -n libccrtp1
License:        GPLv3+
Group:          System/Libraries
Summary:        A Common C++ Class Framework for RTP Packets
Provides:       ccrtp = %{version}
Provides:       %{name} = %{version}
Obsoletes:      ccrtp < %{version}
Obsoletes:      %{name} < %{version}

%description -n libccrtp1
The ccrtp package offers a generic framework for sending and receiving
real-time streaming data over UDP packets using sending and receiving
packet queues.



Authors:
--------
    David Sugar <dyfet@ostel.com>
    Frederico Montesino Pouzols <p5087@quintero.fie.us.es>

%package devel
License:        GPLv3+
Summary:        Include-files and documentation for ccrtp
Group:          Development/Libraries/Other
Requires:       %{name} = %{version} commoncpp2-devel
PreReq:         %install_info_prereq

%description devel
This package contains files needed when developing applications using
ccrtp



Authors:
--------
    David Sugar <dyfet@ostel.com>
    Frederico Montesino Pouzols <p5087@quintero.fie.us.es>

%prep
%setup -q -n ccrtp-%version

%build
mkdir build
cd build

cmake -DCMAKE_INSTALL_PREFIX=%{_prefix} \
      -DSYSCONFDIR=%{_sysconfdir} \
      -DMANDIR=%{_mandir} \
      -DCMAKE_VERBOSE_MAKEFILE=TRUE \
      -DCMAKE_C_FLAGS_RELEASE:STRING="$RPM_OPT_FLAGS" \
      -DCMAKE_CXX_FLAGS_RELEASE:STRING="$RPM_OPT_FLAGS" \
      ..  

make %{?_smp_mflags}

%install
cd build
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT;

%post -n libccrtp1 -p /sbin/ldconfig

%postun -n libccrtp1 -p /sbin/ldconfig

%files -n libccrtp1
%defattr(-,root,root,0755)
%_libdir/libccrtp*.so.*

%files devel
%defattr(-,root,root,0755)
%doc AUTHORS COPYING NEWS README TODO ChangeLog
%_libdir/libccrtp*.so
%_libdir/pkgconfig/libccrtp1.pc
%dir %{_includedir}/ccrtp
%{_includedir}/ccrtp/*.h
%{_infodir}/ccrtp.info*

%post devel
%install_info --info-dir=%{_infodir} %{_infodir}/ccrtp.info.gz

%postun devel
%install_info_delete --info-dir=%{_infodir} %{_infodir}/ccrtp.info.gz

%changelog
* Sat Jan  8 2011 Werner.Dittmann@t-online.de
- Update to latest version of GNU ccRTP
  * small code cleanup to avoid patching
  * SRTP now supports Skein MAC that may be used
    by ZRTP
* Tue Nov  3 2009 coolo@novell.com
- updated patches to apply with fuzz=0
* Tue Sep  9 2008 hvogel@suse.de
- Update to version 1.6.2
  * some gcc-4.3 cleanups
  * Crypto context fixes and updates
  * fixed timestamp calculation issues
  * better constructor to RTCPReceiverInfo and RTCPSenderInfo
  * fixed bug in tf_usec field computation
  * support for sending packets to IPV6 networks
* Sun May 11 2008 crrodriguez@suse.de
- fix PreReq
- Correct dependency chain between libzrtpcpp->ccrtp->commoncpp2
- remove static libraries
* Thu Oct 11 2007 kkeil@suse.de
- fixes for GCC 4.3
* Tue Oct 10 2006 kkeil@suse.de
- update to 1.5.0
  * added missing implementation ofQueueRTCPManager::setMinRTCPInterval
  * added two new methods to class OutgoingDataQueue: setNextSeqNum
    and getCurrentSeqNum (for RTSP PLAY)
  * fixed byte ordering bug in report blocks SSRC field
* Tue Jul 18 2006 kkaempf@suse.de
- update to 1.4.1
  includes all gcc4 and 64bit fixes now.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Oct 26 2005 kkaempf@suse.de
- build requires commoncpp2 now.
* Tue Oct 25 2005 kkaempf@suse.de
- update to 1.3.5
* Mon Aug  1 2005 mmj@suse.de
- update to version 1.3.4
- adjust development Requires:
* Wed May 25 2005 hvogel@suse.de
- update to version 1.3.1
* Thu Apr  7 2005 kkaempf@suse.de
- update to 1.2.0
- fix uint32 vs. pointer issue
- fix template parsing (dependend names, for gcc4)
* Tue Aug 10 2004 kkaempf@suse.de
- adapt to CommonC++ 1.2.4
* Sat Jan 10 2004 adrian@suse.de
- add run_ldconfig
* Tue Jun 17 2003 kkaempf@suse.de
- update to 1.0.2
- fix filelist, install .info files
* Thu Jan  2 2003 kkaempf@suse.de
- update to 1.0pre0
* Fri Jun  7 2002 kkaempf@suse.de
- update to 0.9.1
- add libxml2,libxml2-devel to neededforbuild
- make gnu specific configure more general
* Tue May 21 2002 ro@suse.de
- use libdir
* Mon Apr 22 2002 ro@suse.de
- update to 0.9.0
- build with commoncpp2
* Thu Apr 11 2002 ro@suse.de
- gcc-3 fixes
* Fri Jan  4 2002 schwab@suse.de
- Fix for gcc 3.
* Thu Dec 13 2001 kkaempf@suse.de
- Update to 0.7.1
* Mon Dec 10 2001 ro@suse.de
- changed neededforbuild <commonc++> to <CommonC++>
- changed neededforbuild <commonc++-devel> to <CommonC++-devel>
* Tue Oct 16 2001 kkaempf@suse.de
- Initial version 0.6.1
